%define upstream_name	 SVN-Notify-Mirror
%define upstream_version 0.040

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Keep a mirrored working copy of a repository path
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(SVN::Notify) >= 2.830.0
BuildRequires: perl(YAML) >= 0.810.0
BuildRequires: subversion-tools
BuildRequires: sendmail-command
BuildArch:  noarch

%description
Keep a local directory in sync with a portion of a Subversion repository.
Typically used to keep a development web server in sync with the changes made
to the repository.

NOTE: because 'svn export' is not able to be consistently updated, the sync'd
directory must be a full working copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL installdirs=vendor << EOF
y
EOF
./Build

%check
export SVNLOOK=%{_bindir}/svnlook
export LC_ALL=C
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SVN
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 372492
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 06 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 268439
- update to 0.040

* Sat Jan 22 2011 jquelin <jquelin> 0.38.0-1.mga1
+ Revision: 31111
- mageia rebuild
- imported package perl-SVN-Notify-Mirror

